> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeus.agentspro.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Base

> Get knowledge base details

<ParamField header="Authorization" type="string" required>
  Bearer JWT Token
</ParamField>

<ParamField path="id" type="string" required>
  Knowledge base ID
</ParamField>

<ResponseField name="id" type="string">
  Knowledge base unique identifier
</ResponseField>

<ResponseField name="name" type="string">
  Knowledge base name
</ResponseField>

<ResponseField name="description" type="string">
  Knowledge base description
</ResponseField>

<ResponseField name="status" type="string">
  Knowledge base status
</ResponseField>

<ResponseField name="documentCount" type="number">
  Number of documents
</ResponseField>

<ResponseField name="createdAt" type="string">
  Creation time (ISO 8601)
</ResponseField>

<ResponseField name="updatedAt" type="string">
  Last updated time (ISO 8601)
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://zeus-api.agentspro.cn/api/knowledge-base/kb_abc123 \
    --header 'Authorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "kb_abc123",
    "name": "Product Docs",
    "description": "Product user manual and API documentation",
    "status": "active",
    "documentCount": 12,
    "createdAt": "2025-06-01T10:00:00Z",
    "updatedAt": "2025-06-15T14:30:00Z"
  }
  ```
</ResponseExample>
